.page-component {
	@include clearfix;
}

/*
.page-component + .page-component {
	margin-top: 15px;
}
*/

.page-component > h2,
.page-component > h3 {
	margin-bottom: $form-group-margin-bottom;
	margin-top: 0;
}

.page-component > .btn:first-child {
	width: 100%;
}

.page-component > .frame-events {
	padding: 0;
}

.page-component-seperated {
	border-top: 1px solid $blue-lighter;
	padding-top: $form-group-margin-bottom;
}

.page-link {
	display: block;
	margin-bottom: 10px;
}

.details-header {
	padding: 10px $details-header-padding-horizontal;
	position: relative;
}

.details-header > h2,
.details-header > h3 {
	margin-top: 0;
}

.details-header > *:last-child {
	margin-bottom: 0;
}

.details-body {
	margin-top: 3px;
	position: relative;
}

.details-content {
	@include clearfix;
	height: 100%;
	padding: ($grid-gutter-width / 2);
}

.details-content > h3,
.details-content > h4 {
	margin-top: 0;
}

.details-content > *:last-child {
	margin-bottom: 0;
}

.details-map {
	width: 100%;
}

.details-map .map-box {
	height: 300px;
	width: 100%;
}

.details-map .coordinates {
	@include td-margin-all(5px, 5px, 5px, 0);
	text-align: end;
}

.details-form {
	@include clearfix;
	background-color: lighten($brand-success, 10%);
	border-color: $brand-success;
	border-style: solid;
	border-width: 1px;
	padding: ($grid-gutter-width / 2);
}

.details-form > h3 {
	margin-top: 0;
}

.details-form > form > *:last-child {
	margin-bottom: 0;
}

.details-form-element:nth-child(1):nth-last-child(2),
.details-form-element:nth-child(2):nth-last-child(1) {
	@include td-make-sm-column(6);
	padding: 0;
	width: 100%;
}

.details-form-element:nth-child(1):nth-last-child(2) {
	@media (min-width: $screen-sm) {
		@include td-padding(right, ($grid-gutter-width / 2));
	}
}

.details-form-element:nth-child(2):nth-last-child(1) {
	@media (min-width: $screen-sm) {
		@include td-padding(left, ($grid-gutter-width / 2));
	}
}

.details-form-element > h3 {
	margin-top: 0;
}

.details-addition {
	background-color: $gray-lightest;
	border-color: darken($gray-lightest, 3%);
	border-style: solid;
	border-width: 1px;
	padding: $form-group-margin-bottom;
}

.details-addition > h3,
.details-addition > h4 {
	margin-top: 0;
}

.details-addition > *:last-child {
	margin-bottom: 0;
}

.details-info-btn {
	@include td-make-sm-column(9);
	@include td-make-sm-column-offset(3);
}
